/*
 * Class CHAIN [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_520 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_520 [] = {0xFF01,237,519,185,0xFFFF};
static const EIF_TYPE_INDEX egt_2_520 [] = {0xFF01,519,185,0xFFFF};
static const EIF_TYPE_INDEX egt_3_520 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_520 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_520 [] = {0xFF01,519,185,0xFFFF};
static const EIF_TYPE_INDEX egt_6_520 [] = {0xFF01,519,185,0xFFFF};
static const EIF_TYPE_INDEX egt_7_520 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_520 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_520 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_520 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_520 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_520 [] = {519,185,0xFFFF};
static const EIF_TYPE_INDEX egt_13_520 [] = {0xFF01,519,185,0xFFFF};
static const EIF_TYPE_INDEX egt_14_520 [] = {0xFF01,504,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_520 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_520 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_520 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_520 [] = {0xFF01,496,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_520 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_520 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_520 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_520 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_520 [] = {0xFF01,519,185,0xFFFF};
static const EIF_TYPE_INDEX egt_24_520 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_520 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_520 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_520 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_28_520 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_520[] = {
	{EIF_GENERIC(NULL), 4357, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_520), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_520), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_520), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_520), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_520), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_520), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_520), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_520), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_520), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_520), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_520), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_520), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_520), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_520), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4360, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2031, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1881, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1882, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1883, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1884, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_520), 2362, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_520), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_520), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2554, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2555, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1999, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4361, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2477, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4364, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_520), 2355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4367, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2551, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4354, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2552, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2553, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_520), 3374, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_520), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_520), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4349, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4366, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2358, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2360, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2353, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2549, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4353, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_520), 4358, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_520), 4359, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4368, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4371, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4350, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4351, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4355, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_520), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2352, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2351, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2354, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_520), 4362, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_520), 4363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4370, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4352, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4352, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_520), 4362, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_520), 4365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4370, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4364, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_520), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init520(void)
{
	IDSC(desc_520, 0, 519);
	IDSC(desc_520 + 1, 1, 519);
	IDSC(desc_520 + 32, 77, 519);
	IDSC(desc_520 + 41, 243, 519);
	IDSC(desc_520 + 47, 155, 519);
	IDSC(desc_520 + 56, 282, 519);
	IDSC(desc_520 + 65, 99, 519);
	IDSC(desc_520 + 67, 30, 519);
	IDSC(desc_520 + 74, 294, 519);
	IDSC(desc_520 + 77, 237, 519);
	IDSC(desc_520 + 79, 329, 519);
	IDSC(desc_520 + 93, 187, 519);
	IDSC(desc_520 + 99, 256, 519);
	IDSC(desc_520 + 102, 229, 519);
	IDSC(desc_520 + 103, 184, 519);
	IDSC(desc_520 + 106, 50, 519);
	IDSC(desc_520 + 107, 35, 519);
	IDSC(desc_520 + 108, 172, 519);
}


#ifdef __cplusplus
}
#endif
